<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNexoposCouponsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        // Create the table if it doesn't exist
        if (!Schema::hasTable('nexopos_coupons')) {
            Schema::create('nexopos_coupons', function (Blueprint $table) {
                $table->id();
                $table->string('name');
                $table->string('code')->unique();
                $table->string('type')->default('discount'); // percentage_discount, flat_discount, giveaway
                $table->float('discount_value', 18, 5)->default(0); // flat value or percentage
                $table->decimal('discount', 8, 2);
                $table->datetime('valid_until')->nullable(); // unlimited
                $table->float('minimum_cart_value', 18, 5)->default(0)->nullable();
                $table->float('maximum_cart_value', 18, 5)->default(0)->nullable();
                $table->datetime('valid_hours_start')->nullable();
                $table->datetime('valid_hours_end')->nullable();
                $table->date('expiry_date')->nullable();
                $table->float('limit_usage', 18, 5)->default(0); // unlimited
                $table->string('groups_id')->nullable();
                $table->string('customers_id')->nullable();
                $table->integer('author');
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('nexopos_coupons');
    }
}