<?php

/**
 * The FooBar Module Controller
 * @since 1.0
 * @package modules/FooBar
 **/

namespace Modules\FooBar\Http\Controllers;

use App\Http\Controllers\DashboardController;
use Modules\FooBar\Crud\BrandCrud;
use Modules\FooBar\Crud\TestCrud;
use Modules\FooBar\Models\Brand;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\View;

class FooBarController extends DashboardController
{
    /**
     * Main Page
     * @since 1.0
     **/

    // public function __construct()
    // {
    //     parent::__construct();
    // }

    public function helloWorld()
    {
        return view::make('FooBar::hello-world', [
            'title' => __('HelloWorld'),
            'description' => __('This is a description for hello world page')
        ]);
    }
    public function brandList()
    {
        return BrandCrud::table();
    }
    public function createBrand()
    {
        return BrandCrud::form();
        // return BrandCrud::table();
    }
    public function editBrand(Brand $brand)
    {
        return BrandCrud::form($brand);
    }

    public function testList()
    {
        return TestCrud::table();
    }

    public function createTest()
    {
        return TestCrud::form();
    }

}
