<?php
/**
 * Table Migration
 * @package 5.2.5
 **/

namespace Modules\FooBar\Migrations;

use App\Classes\Schema;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

return new class extends Migration
{
    /**
     * Run the migrations.
     */

    const DEPENDENCIES = ['FooBar'];

    public function up()
    {
        Schema::dropIfExists('module_brands');

        Schema::create('module_brands', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('logo')->nullable();
            $table->text('description')->nullable();
            $table->string('website')->nullable();
            $table->string('email')->nullable();
            $table->string('phone_number')->nullable();
            $table->text('address')->nullable();
            $table->boolean('status')->default(true);
            $table->unsignedBigInteger('created_by')->nullable();
            $table->unsignedBigInteger('updated_by')->nullable();
            $table->timestamps();

            // Foreign key constraints
            //     $table->foreign('created_by')->references('id')->on('nexopos_users')->onDelete('set null');
            //     $table->foreign('updated_by')->references('id')->on('nexopos_users')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('module_brands');
    }
};
