<?php
namespace Modules\FooBar\Providers;

use App\Classes\Hook;
use Illuminate\Support\ServiceProvider;
use Modules\FooBar\Crud\BrandCrud;
use Modules\FooBar\Crud\TestCrud;

class ModuleServiceProvider extends ServiceProvider
{
    public function boot()
    {
        // Hook::addFilter('ns-products-crud-form', function ($form, $entry) {
        //     return [
        //         'main' => [
        //             'label' => __('Name'),
        //             'name' => 'name',
        //             'value' => $entry->name ?? '',
        //             'validation' => 'required',
        //             'description' => __('Provide a name to the resource.')
        //         ]
        //     ];
        // });

        Hook::addFilter('ns-products-type', function ($types) {
            // $types = [];
            // $types['health_beauty'] = __('Health & Beauty');
            // $types['new_born'] = __('New Born');
            // $types['non_food'] = __('Non-Food');
            // $types['service'] = __('Service');
            // $types['edible'] = __('Edible');
            // $types['non_edible'] = __('Non-edible');
            //Remove grouped items;
            if (array_key_exists('grouped', $types)) {
                unset($types['grouped']);
            }
            return $types;
        });
        // Hook::addFilter('ns-page-title', function ($pageTitle) {
        //     return __('%s &mdash; MyPOS');
        // });
        // Hook::addFilter('ns-footer-signature', function ($signature) {
        //     return __('You\'re using MyPOS');
        // });
        // Hook::addFilter('ns-registers-allowed-payments-type', function ($payments) {
        //     $payments[] = 'MyCustomPayment';
        //     return $payments;
        // });

    }
    public function register()
    {
        Hook::addFilter('ns-crud-resource', [$this, 'registerCrud']);
    }

    public function registerCrud($identifier)
    {
        switch ($identifier) {
            case 'foobar.brands':
                return BrandCrud::class;
            case 'foobar.tests':
                return TestCrud::class;
            default:
                return $identifier; // required
        }
    }
}
