<?php
use Illuminate\Support\Facades\Gate;

?>


<?php $__env->startSection('layout.dashboard.header'); ?>
<?php echo \Illuminate\View\Factory::parentPlaceholder('layout.dashboard.header'); ?>
<?php echo $__env->yieldContent('layout.dashboard.header.pos'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('layout.dashboard.body'); ?>
<div id="pos-app" class="h-full w-full relative">
    <div id="loader"
        class="top-0 anim-duration-500 fade-in-entrance left-0 absolute w-full z-50 h-full flex flex-col items-center justify-center">
        <?php if(ns()->option->get('ns_store_square_logo', false)): ?>
            <img src="<?php echo e(ns()->option->get('ns_store_square_logo')); ?>" alt="POS">
        <?php else: ?>
            <img src="<?php echo e(asset('svg/arypos.svg')); ?>" class="w-32" alt="POS">
        <?php endif; ?>
        <p class="font-semibold py-2"><?php echo e(__('Loading...')); ?></p>
    </div>
    <ns-pos></ns-pos>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('layout.dashboard.footer'); ?>
<?php echo \Illuminate\View\Factory::parentPlaceholder('layout.dashboard.footer'); ?>
<?php echo $__env->make('common.popups', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo app('Illuminate\Foundation\Vite')(['resources/ts/pos-init.ts']); ?>
<script>
    const nsShortcuts = <?php echo json_encode([
    'ns_pos_keyboard_cancel_order' => ns()->option->get('ns_pos_keyboard_cancel_order'),
    'ns_pos_keyboard_hold_order' => ns()->option->get('ns_pos_keyboard_hold_order'),
    'ns_pos_keyboard_create_customer' => ns()->option->get('ns_pos_keyboard_create_customer'),
    'ns_pos_keyboard_payment' => ns()->option->get('ns_pos_keyboard_payment'),
    'ns_pos_keyboard_shipping' => ns()->option->get('ns_pos_keyboard_shipping'),
    'ns_pos_keyboard_note' => ns()->option->get('ns_pos_keyboard_note'),
    'ns_pos_keyboard_order_type' => ns()->option->get('ns_pos_keyboard_order_type'),
    'ns_pos_keyboard_quick_search' => ns()->option->get('ns_pos_keyboard_quick_search'),
    'ns_pos_keyboard_toggle_merge' => ns()->option->get('ns_pos_keyboard_toggle_merge'),
    'ns_pos_amount_shortcut' => ns()->option->get('ns_pos_amount_shortcut'),
]);?>
</script>
<script>
    document.addEventListener('DOMContentLoaded', () => {
        POS.defineTypes(<?php echo json_encode($orderTypes);?>);
        POS.defineOptions(<?php echo json_encode($options);?>);
        POS.defineSettings({
            barcode_search: true,
            text_search: false,
            edit_purchase_price: <?php echo Gate::allows('nexopos.pos.edit-purchase-price') ? 'true' : 'false';?>,
            edit_settings: <?php echo Gate::allows('nexopos.pos.edit-settings') ? 'true' : 'false';?>,
            products_discount: <?php echo Gate::allows('nexopos.pos.products-discount') ? 'true' : 'false';?>,
            cart_discount: <?php echo Gate::allows('nexopos.pos.cart-discount') ? 'true' : 'false';?>,
            breadcrumb: [],
            products_queue: [],
            ns_pos_items_merge: <?php echo ns()->option->get('ns_pos_items_merge', 'no') === 'yes' ? 'true' : 'false';?>,
            unit_price_editable: <?php echo ns()->option->get('ns_pos_unit_price_ediable', 'yes') === 'yes' ? 'true' : 'false';?>,
            urls: <?php echo json_encode($urls);?>
        });

        POS.definedPaymentsType(<?php echo json_encode($paymentTypes);?>);
    });

    /**
     * At the moment of the execution, the POS script
     * will be reset by a vue component to ensure everything is
     * working only when those component are loaded.
     */
</script>
<?php echo app('Illuminate\Foundation\Vite')(['resources/ts/pos.ts']); ?>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layout.dashboard-blank', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alifoods/public_html/resources/views/pages/dashboard/orders/pos.blade.php ENDPATH**/ ?>